# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
# 1.1 2011-11-16 Philmer has added a shortcut to analytic lines from
#                account.move.line to correct analytic on a validated move.line
#                and change the domain on 'all account entries' to hide
#                the lines in a journal of type 'opening'
{
    "name" : "CCI Account",
    "version" : "1.3",
    "author" : "Tiny",
    "website" : "http://www.openerp.com",
    "category" : "Generic Modules/CCI",
    "description": """
        specific module for cci project which will use account module (Reports).
    """,
    "depends" : ["account_invoice_layout","sale","account_analytic_plans","base_vat","cci_partner","membership","account_l10nbe_domiciliation", "account_payment"],
    "init_xml" : [
        #"cci_account_data.xml"
    ],
    "demo_xml" : [],
    "update_xml" : ["cci_account_wizard.xml","cci_account_view.xml","cci_account_report.xml","security/cci_account_security.xml"],
    "active": False,
    "installable": True,
    'certificate': '00952298218051625789',
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

