# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
# this wizard correct the field 'ref' in account.move.line for purchases moves
# because they're not filled when we create the purchase invoice and it's
# used in some reports => so we need to fill it
import datetime
from osv import fields,osv
import wizard
import pooler
from tools.translate import _

class wizard_correct_ref_purchases(wizard.interface):
    def _correct_all_lines(self, cr, uid, data, context):

        pool_obj = pooler.get_pool(cr.dbname)
        amove_obj = pool_obj.get("account.move")
        amove_obj._correct_ref_purchases(cr,uid)
        return {'type':'state','state':'end'}
    states = {
        'init': {
            'actions': [_correct_all_lines],
            'result' : {'type':'state', 'state':'end'}
        },
    }
wizard_correct_ref_purchases("cci_account_extend_correct_ref_purchases")
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
