# -*- encoding: utf-8 -*-
# 2013-0123 : added the modification of end_date on participation, not only on club as initially asked

from osv import fields, osv
import wizard
import pooler
import os
import base64
import time
import datetime
from pyExcelerator import *
from tools.translate import _

form = """<?xml version="1.0"?>
<form string="Forced Deletion of the Club">
    <field name="warning" colspan="4" nolabel="1" readonly="1" width="400" height="200"/>
</form>"""

fields = {
    'warning': {'string':'Warning', 'type':'text', 'value':'This tool delete the club, the participations, the sessions and all attendances linked to the club.\nDefinitively.\nWithout hope of return.\nDeleted.\nGone.'},
}

msg_form = """<?xml version="1.0"?>
<form string="Results">
     <field name="msg" colspan="4" nolabel="1" width="600"/>
</form>"""

msg_fields = {
    'msg': {'string':'Result', 'type':'text', 'size':'200','readonly':True},
}

class club_forced_delete(wizard.interface):
    def _confirmed_delete(self,cr,uid,data,context):
        if len(data['ids']) != 1:
            data['form']['msg'] = _('You can force the deletion of only ONE club at a time!')
        else:
            obj_club = pooler.get_pool(cr.dbname).get('cci_club.club')
            obj_club._forced_unlink(cr,uid,data['ids'][0],context)
            data['form']['msg'] = _('Club deleted.')
        return data['form']

    states = {
        'init': {
            'actions': [],
            'result': {'type':'form', 'arch':form, 'fields':fields, 'state':[('end','Cancel'),('confirm','Confirm')]},
        },
        'confirm': {
            'actions': [_confirmed_delete],
            'result': {'type':'form', 'arch':msg_form, 'fields':msg_fields, 'state':[('end','Ok')]}
        },
    }
club_forced_delete('club_forced_delete')
