# -*- encoding: utf-8 -*-

from osv import fields, osv
import wizard
import pooler
import os
import tempfile
import base64
import time
from tools.translate import _

msg_form = """<?xml version="1.0"?>
<form string="Import session files">
     <separator string="The import has been done."  colspan="4"/>
     <field name="msg" colspan="4" nolabel="1"/>
</form>"""

msg_fields = {
    'msg': {'string':'The import has been done', 'type':'text', 'size':'100','readonly':True},
}

class import_session_files(wizard.interface):
    def _import_files(self,cr,uid,data,context):
        obj_session = pooler.get_pool(cr.dbname).get('cci_club.session')
        count = obj_session._import_files_from_website(cr,uid,False,context)
        data['form']['msg']=_('Import files for web site, as session attachments.\nNumber of imported files : %s') % count
        return data['form']

    states = {
        'init' : {
            'actions' : [_import_files],
            'result' : {'type' : 'form',
                        'arch': msg_form,
                        'fields' : msg_fields,
                        'state' : [('end','Close')],    }
                 }
             }
import_session_files('import_session_files')
