# -*- encoding: utf-8 -*-

from osv import fields, osv
import wizard
import pooler
import os

msg_form = """<?xml version="1.0"?>
<form string="Manual Launch Finished">
     <field name="msg" colspan="4" nolabel="1" width="600"/>
</form>"""

msg_fields = {
    'msg': {'string':'Finish', 'type':'text', 'size':'100','readonly':True},
}

class manual_launch(wizard.interface):
    def _launch(self,cr,uid,data,context):
        obj_task = pooler.get_pool(cr.dbname).get('ir.cron')
        current_task = obj_task.browse(cr,uid,data['id'])
        obj_task._callback(cr,uid,current_task.model,current_task.function,current_task.args)
        data['form']['msg'] = 'The task if finished'
        return data['form']

    states = {
        'init' : {
            'actions' : [_launch],
            'result' : {'type' : 'form',
                        'arch': msg_form,
                        'fields' : msg_fields,
                        'state' : [('end','Close')],    }
                 }
             }
manual_launch('manual_launch')
