# -*- encoding: utf-8 -*-
{
    'name': 'CCI MailChimp',
    'category': 'CCI,email',
    'init_xml':[],
    'description': """
        Module to synchronize emails list of subscriber of 'Revue de Presse' with MailChimp email service.
        This module uses the MailChimp API wrapper : mailchimp-api-python
            https://bitbucket.org/mailchimp/mailchimp-api-python
    """,
    'author': 'CCI Liege Verviers Namur - Philmer',
    'depends': ['cci_partner_extend','cci_logs','cci_newsletter','cci_parameters','cci_premium'],
    'version': '1.3',
    'active': True,
    'demo_xml': [],
    'update_xml':[	
        'security/security.xml',
        'security/ir.model.access.csv',
        'cci_mailchimp_view.xml',
        'cci_mailchimp_wizard.xml',
	],
    'installable': True
}


