# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2008 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    "name" : "CCI Member's Directory",
    "version" : "1.11",
    "author" : "CCI Liege Verviers Namur",
    "website" : "http://www.ccilvn.be",
    "category" : "Generic Modules/CCI",
    "description": """
        Add proxy tables to manage data for the update of records by CCI Members from a website
    """,
    "depends" : ["base", "cci_partner", "cci_base_contact", "profile_cci", "cci_activity_sector", "cci_club_extend", "cci_event_extend",'cci_email_template' ],
    "init_xml" : [],
    "demo_xml" : [],

    "update_xml" : ['cci_memberdirectory_view.xml',
                    'cci_memberdirectory_wizard.xml',
                    'security/security.xml',
                    'security/ir.model.access.csv'],
    "active": False,
    "installable": True,
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

