# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2008 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    "name" : "CCI Sync Mobile",
    "version" : "1.3",
    "author" : "CCI Liege Verviers Namur",
    "website" : "http://www.ccilvn.be",
    "category" : "Generic Modules/CCI",
    "description": """
        Manage the synchronisation of data to Mobile App
    """,
    "depends" : ["base", "base_contact", "cci_memberdirectory", "cci_activity_sector", "cci_premium_subscription","cci_partner_subscription"],
    "init_xml" : [],
    "demo_xml" : [],

    "update_xml" : ['security/security.xml',
                    'security/ir.model.access.csv',
                    'cci_sync_mobile_view.xml',
                    'cci_sync_mobile_wizard.xml',
                   ],
    "active": False,
    "installable": True,
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

