# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2008 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import wizard
import netsvc
import pooler
from tools.translate import _
from osv import fields, osv

def _force_recalculation(self, cr, uid, data, context):
    pool = pooler.get_pool(cr.dbname)
    club_obj = pool.get('cci_club.club')
    #club_ids = club_obj.search(cr,uid,[])
    result = club_obj._recalc_end_date(cr,uid,data['ids'])
    return {'state': 'end'}

class force_end_date(wizard.interface):
    states = {
        'init': {
            'actions': [_force_recalculation],
            'result': {'type':'state', 'state':'end'}
        },
    }
force_end_date("force_end_date")

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
