# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution	
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import wizard
import netsvc
import wizard
import netsvc
import os
import pooler

_result_form = '''<?xml version="1.0"?>
<form string="Get Full Emails List">
    <separator string="Emails" colspan="4"/>
    <field name="chained_emails" widget="text" colspan="4" nolabel="1" width="640" height="200"/>
    <label string="This list is placed is the clipboard. You can paste it with a Ctrl-C in your regular email client." colspan="4"/>
</form>'''

_fields = {
    'chained_emails': {'string':'List', 'type':'text'},
}

def _get_result(self, cr, uid, data, context):
    obj_part = pooler.get_pool(cr.dbname).get('cci_club.participation')
    full_emails = obj_part._get_mail_addresses(cr,uid,data['ids'])
    emails = []
    for r in full_emails.values():
        for addr in r:
            if addr not in emails:
                emails.append(addr)
    return {'chained_emails':'; '.join(emails)}

class get_full_emails_list(wizard.interface):
    states = {
        'init': {
            'actions': [_get_result],
            'result': {'type': 'form', 'arch':_result_form, 'fields': _fields, 'state':[('end','Ok')]}
        },
    }
get_full_emails_list('get_full_emails_list')
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

