# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2008 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import wizard
import netsvc
import pooler
from tools.translate import _
from osv import fields, osv

form = """<?xml version="1.0"?>
<form string="Renewal Forms">
    <field name="template" colspan="4" width="650"/>
</form>
"""
fields = {
    'template': {'string':'Template','type':'selection','selection':[('alterego','Alter Ego'),('table','Table de conversation'),('cnn','CNN')],'required':True},
}

#def _print_renewals(self, cr, uid, data, context):
#    pool = pooler.get_pool(cr.dbname)
#    template_obj = pool.get('cci_email_template')
#    template = template_obj.read(cr,uid,[data['form']['template_id']],['type'])[0]
#    part_obj = pool.get('cci_club.participation')
#    sended_mails = part_obj.send_emails(cr,uid,data['ids'],data['form']['email_from'],data['form']['email_to'],data['form']['subject'],data['form']['body'],template['type'])
#    message = _('%s mails have been successfully sent\n') % (sended_mails)
#    return {'message': message}

class print_renewals(wizard.interface):
    def _switch_report(self,cr,uid,data,context):
        self.states['print']['result']['report'] = 'club_renewal_' + data['form']['template']
        return {'type':'state','state':'print'}
        
    states = {
        'init' : {
           'actions' : [],
           'result': {'type': 'form', 'arch': form, 'fields': fields, 'state':[('end','Cancel'), ('switch','Print')]}
        },
        'switch' : {
           'actions' : [_switch_report],
           'result': {'type': 'state', 'state':'print'}
        },
        'print': {
            'actions': [],
            'result': {'type':'print', 'report':'club_renewal_alterego', 'state':'end'},
        },
#        'print_tc': {
#            'actions': [],
#            'result': {'type':'print', 'report':'club.renewal.tc', 'state':'end'},
#        },
#        'print_cnn': {
#            'actions': [],
#            'result': {'type':'print', 'report':'club.renewal.cnn', 'state':'end'},
#        },
    }
print_renewals("print_renewals")

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
