# -*- encoding: utf-8 -*-

from osv import fields, osv
import wizard
import pooler
import os
import base64
import time
import datetime
from pyExcelerator import *
from tools.translate import _

form = """<?xml version="1.0"?>
<form string="Send Link to Survey">
    <field name="type" colpsan="4" width="600"/>
</form>"""

fields = {
    'type': {'string':'Survey','type':'selection','selection':[('mi-parcours','Mi-Parcours'),('finparcours','Fin Parcours')],'required':True},
}

msg_form = """<?xml version="1.0"?>
<form string="Results">
     <field name="msg" colspan="4" nolabel="1" width="600"/>
</form>"""

msg_fields = {
    'msg': {'string':'Result', 'type':'text', 'size':'200','readonly':True},
}

class send_link_survey(wizard.interface):
    def _send_emails(self,cr,uid,data,context):
        obj_club = pooler.get_pool(cr.dbname).get('cci_club.club')
        result = obj_club._send_survey_link(cr,uid,data['form']['type'],data['ids'])
        data['form']['msg'] = result
        return data['form']

    states = {
        'init': {
            'actions': [],
            'result': {'type':'form', 'arch':form, 'fields':fields, 'state':[('end','Cancel'),('send','Send Email')]},
        },
        'send': {
            'actions': [_send_emails],
            'result': {'type':'form', 'arch':msg_form, 'fields':msg_fields, 'state':[('end','Ok')]}
        },
    }
send_link_survey('send_link_survey')
