# -*- encoding: utf-8 -*-

from osv import fields, osv
import wizard
import pooler
import time
import cci_extract_bootstrap

_form_init="""<?xml version="1.0"?>
<form title="Extraction">
    <field name="execution_date"/>
</form>
"""
_fields = {

    'execution_date'    : {
        'string':'Execution date',
        'type':'datetime',
        'required':True},
}

class cci_traform_wizard_schedule(wizard.interface):
    
    def _schedule(self, cr, uid, data, res_get=False):
        values               = {}
        values['extract_id'] = data['id']
        values['name']       = ''
        values['scheduled_execution_date'] = data['form']['execution_date']
        pooler.get_pool(cr.dbname).get('cci.extract.result').create(cr, uid, values)
        return {}
    
    states = {
        'init' : {
            'actions' : [],
            'result'  : {   'type': 'form',
                            'arch': _form_init,
                            'fields': _fields,
                            'state':[('end','Cancel'),('schedule','Programmer')]}},
        'schedule' : {
            'actions' : [_schedule],
            'result'  : {
                'type': 'state',
                'state':'end'}}
    }
    
cci_traform_wizard_schedule('cci.extract.wizard.schedule')
