# -*- encoding: utf-8 -*-

from osv import fields, osv
import wizard
import pooler
import os

form = """<?xml version="1.0"?>
<form string="Confirmation?">
    <field name="confirm" width="600"/>
</form>
"""

fields = {
    'confirm':{'string':'Confirm you want close these logs','type':'boolean','default':False},
}

msg_form = """<?xml version="1.0"?>
<form string="Result">
     <field name="msg" colspan="4" nolabel="1" width="600"/>
</form>"""

msg_fields = {
    'msg': {'string':'Finish', 'type':'text', 'size':'100','readonly':True},
}

class close_bad_log(wizard.interface):
    def _close(self,cr,uid,data,context):
        if data['form']['confirm']:
            obj_logs = pooler.get_pool(cr.dbname).get('cci_logs.cron_line')
            obj_logs.write(cr,uid,data['ids'],{'good':True})
            data['form']['msg'] = '%s logs has been closed' % str(len(data['ids']))
        else:
            data['form']['msg'] = 'You have closed no logs !'
        return data['form']

    states = {
        'init' : {
            'actions' : [],
            'result' : {'type' : 'form',
                        'arch' : form,
                        'fields' : fields,
                        'state' : [('close','Ok'),('end','Cancel')],
                       }
                 },
        'close' : {
            'actions' : [_close],
            'result' : {'type' : 'form',
                        'arch': msg_form,
                        'fields' : msg_fields,
                        'state' : [('end','Close')],    }
                 }
             }
close_bad_log('close_bad_log')
