# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution	
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
import wizard
import pooler
import datetime

def _readed_not_confirmed(self, cr, uid, data, context):
    obj_pooler = pooler.get_pool(cr.dbname)
    obj_addr_proxy = obj_pooler.get('directory.address.proxy')
    obj_access = obj_pooler.get('directory.address.access')
    access_ids = obj_access.search(cr,uid,[])
    if access_ids:
        accessed_addr_ids = []
        accesses = obj_access.read(cr,uid,access_ids,['address_id'])
        for access in accesses:
            if access['address_id'] and access['address_id'][0] not in accessed_addr_ids:
                accessed_addr_ids.append(access['address_id'][0])
        if accessed_addr_ids:
            addr_proxy_ids = obj_addr_proxy.search(cr,uid,[('address_id','in',accessed_addr_ids),('user_validated','=',False),('internal_validated','=',False),('already_validated','=',False)])
            if addr_proxy_ids:
                address_proxy_ids = list(addr_proxy_ids)
            else:
                address_proxy_ids = [0,]
        else:
            address_proxy_ids = [0,]
    else:
        address_proxy_ids = [0,]
    value = {
        'domain': [('id', 'in', address_proxy_ids)],
        'name': 'Addresses viewed on Website but not validated',
        'view_type': 'form',
        'view_mode': 'tree,form',
        'res_model': 'directory.address.proxy',
        'context': {},
        'type': 'ir.actions.act_window'
    }
    return value

class cci_memberdirectory_readed_not_confirmed(wizard.interface):
    states = {
        'init': {
            'actions': [],
            'result': {
                'type': 'action',
                'action': _readed_not_confirmed,
                'state': 'end'
            }
        },
    }
cci_memberdirectory_readed_not_confirmed("cci_memberdirectory_readed_not_confirmed")
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

