# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution	
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
import wizard
import pooler
import datetime

def _show_access(self, cr, uid, data, context):
    obj_pooler = pooler.get_pool(cr.dbname)
    obj_access = obj_pooler.get('directory.address.access')
    obj_addr = obj_pooler.get('directory.address.proxy')
    this_addr = obj_addr.read(cr,uid,data['ids'],['address_id'])[0]
    access_ids = obj_access.search(cr,uid,[('address_id','=',this_addr['address_id'][0])])
    value = {
        'domain': [('id', 'in', access_ids)],
        'name': 'Access for directory',
        'view_type': 'form',
        'view_mode': 'tree,form',
        'res_model': 'directory.address.access',
        'context': {},
        'type': 'ir.actions.act_window'
    }
    return value

class cci_memberdirectory_show_access(wizard.interface):
    states = {
        'init': {
            'actions': [],
            'result': {
                'type': 'action',
                'action': _show_access,
                'state': 'end'
            }
        },
    }
cci_memberdirectory_show_access("cci_memberdirectory_show_access")
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

