# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution	
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import pooler
import time
from report import report_sxw

class partner_sub_landscape(report_sxw.rml_parse):
    def __init__(self, cr, uid, name, context):
        super(partner_sub_landscape, self).__init__(cr, uid, name, context=context)
        self.localcontext.update( {
            'time': time,
        })

    def _period_name(self,period_id):    
        per_obj = pooler.get_pool(self.cr.dbname).get('account.period').browse(self.cr, self.uid, period_id)
        return per_obj.name

report_sxw.report_sxw('report.partner_sub_landscape',
                      'partner_subscription',
                      'addons/cci_partner_subscription/report/partner_sub_landscape.rml',
                      parser=partner_sub_landscape,
                      header=False)
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

