# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution	
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
import wizard
import pooler

def _select_semails(self, cr, uid, data, context):
    order_ids = data['ids']
    cr.execute("""SELECT id FROM cci_email_sended WHERE ressource in (%s)""" % ','.join(["'sale.order:"+str(x)+":'" for x in order_ids]) )
    res = cr.fetchall()
    email_ids = [x[0] for x in res]
    values = {
        'domain': [('id', 'in', email_ids)],
        'name': 'Sended Emails',
        'view_type': 'form',
        'view_mode': 'tree,form',
        'res_model': 'cci_email_sended',
        'context': {},
        'type': 'ir.actions.act_window',
    }
    return values
class show_sorder_sended_emails(wizard.interface):
    states = {
        'init': {
            'actions': [],
            'result': {
                'type': 'action',
                'action': _select_semails,
                'state': 'end'
            }
        },
    }
show_sorder_sended_emails("show_sorder_sended_emails")
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

