# -*- coding: utf-8 -*-

from tools.translate import _

import wizard
import pooler
import time

def past_year():
    current_year = int(time.strftime('%Y'))
    return current_year - 1

class interest_archive(wizard.interface):
    init_arch = '''<?xml version="1.0" encoding="UTF-8"?>
    <form string="Archive Interest">
        <field name="year"/>
        <newline/>
        <field name="product_ids" colspan="4"/>
    </form>
    '''
    
    init_fields = {
        'year': {'string' : 'Year', 'type':'integer','size' : 4,'required': True,'default': past_year() },
        'product_ids': {'string': 'Products', 'type':'many2many', 'relation':'cci.product', 'required': True },
    }
    
    def do_next(self, cr, uid, data, context=None):
        return {}
    
    states = {
        'init': {'actions': [],
                 'result': {'type': 'form',
                            'arch': init_arch,
                            'fields': init_fields,
                            'state': [('end', _(u'Annuler'), 'gtk-cancel'),
                                      ('ok', _(u'OK'), 'gtk-action',
                                       True)],
                           },
                },
        'ok': {'actions': [do_next],
                'result': {'type': 'state',
                           'state': 'end',
                          },
               },
    }
    
interest_archive('archive_interest')
